Skip to content

Connectors

All operations require authentication.

6 operationsv1/email/exchange
Agent setup

List send connectorsProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector

List send connectors. Returns the IDs of the send connectors of the service, which relay outgoing emails through a smart host.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a send connectorProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id}

Get a send connector. Returns the smart host, port, authentication mechanism, TLS requirement, size limit, DNS routing and state of the send connector.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Id of this send connector

organizationName
required
string

The internal name of your exchange organization

Response

200sendConnectorsuccessful operation
creationDate
read-only
stringdate-time

Creation date

default
read-only
boolean

Default send connector, which is used to send all e-mails that are not handled by other send connectors that have been custom-created

displayName
string

Name of your send connector

dnsRouting
boolean

Use dns MX record to route emails via this send connector

id
read-only
integer

Id of this send connector

lastUpdateDate
read-only
stringdate-time

Last update date

maxSendSize
integer

Maximum send size in MB

port
integer

Port adress that will be used to all e-mails send via this send connector

requireTLS
boolean

All messages sent through this connector will be transmitted using TLS

smartHost
string

Relay domain address that will be used to all e-mails send via this send connector

smartHostAuthMechanism
read-only
smartHostAuthMechanismEnum

Authentication mechanism to use for authentication with a smart host

ValuesbasicAuthbasicAuthRequireTLSnone
state
read-only
ObjectStateEnum

Send connector state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Pending task for this send connector

Example uses exchangeService = string, id = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "default": true, "displayName": "string", "dnsRouting": true, "id": 0, "lastUpdateDate": "2024-01-01T12:00:00Z", "maxSendSize": 0, "port": 0, "requireTLS": true, "smartHost": "string", "smartHostAuthMechanism": "basicAuth", "state": "creating", "taskPendingId": 0}

Create a send connectorProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector

Create a send connector. Creates a send connector that relays emails through a smartHost, with an optional port, TLS and authentication, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

displayName
required
string

Name of your send connector

maxSendSize
integer

Maximum message size allowd on that send connector

password
stringpassword

Password that will be used to connect to smartHost

port
integer

Port adress that will be used to all e-mails send via this send connector

requireTLS
boolean

All messages sent through this connector will be transmitted using TLS

smartHost
required
string

Relay domain address that will be used to all e-mails send via this send connector

smartHostAuthMechanism
smartHostAuthMechanismEnum

Authentication mechanism to use for authentication with a smart host

ValuesbasicAuthbasicAuthRequireTLSnone
user
string

User that will be used to connect to smartHost

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete a send connectorProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id}

Delete a send connector. Deletes the send connector, so that outgoing emails no longer go through its smart host, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Id of this send connector

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, id = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update a send connectorProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id}

Update a send connector. Updates the name, smart host, port, maximum send size, TLS requirement and DNS routing of the send connector.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Id of this send connector

organizationName
required
string

The internal name of your exchange organization

Request body (required)

creationDate
read-only
stringdate-time

Creation date

default
read-only
boolean

Default send connector, which is used to send all e-mails that are not handled by other send connectors that have been custom-created

displayName
string

Name of your send connector

dnsRouting
boolean

Use dns MX record to route emails via this send connector

id
read-only
integer

Id of this send connector

lastUpdateDate
read-only
stringdate-time

Last update date

maxSendSize
integer

Maximum send size in MB

port
integer

Port adress that will be used to all e-mails send via this send connector

requireTLS
boolean

All messages sent through this connector will be transmitted using TLS

smartHost
string

Relay domain address that will be used to all e-mails send via this send connector

smartHostAuthMechanism
read-only
smartHostAuthMechanismEnum

Authentication mechanism to use for authentication with a smart host

ValuesbasicAuthbasicAuthRequireTLSnone
state
read-only
ObjectStateEnum

Send connector state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Pending task for this send connector

Response

200—successful operation

Example uses exchangeService = string, id = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Change send connector authenticationProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id}/changeAuthentication

Change send connector authentication. Sets the smart host authentication mechanism, user and password of the send connector, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Id of this send connector

organizationName
required
string

The internal name of your exchange organization

Request body (required)

password
stringpassword

New password

smartHostAuthMechanism
smartHostAuthMechanismEnum

The SmartHostAuthMechanism parameter specifies the smart host authentication mechanism to use for authentication with a remote server

ValuesbasicAuthbasicAuthRequireTLSnone
user
string

User that will be used to connect to smartHost

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, id = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/sendConnector/{id}/changeAuthentication \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}